## tcpclientsrc

tcpclientsrc — Receive data as a client over the network via TCP

## Synopsis

    struct              GstTCPClientSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstTCPClientSrc

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write
      "protocol"                 GstTCPProtocol        : Read / Write

## Description

### Example launch line

    1
    2
    3
    4

    # server:
    nc -l -p 3000
    # client:
    gst-launch tcpclientsrc protocol=none port=3000 ! fdsink fd=2

everything you type in the server is shown on the client

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstTCPClientSrc

    struct GstTCPClientSrc;

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host IP address to receive packets from.

Default value: "localhost"

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to receive packets from.

Allowed values: [0,65535]

Default value: 4953

### The `"protocol"` property

      "protocol"                 GstTCPProtocol        : Read / Write

The protocol to wrap data in.

Default value: GST_TCP_PROTOCOL_NONE

## See Also

tcpclientsink